## org.eclipse.contribution.visualiser.renderers
Class PatternVisualiserRenderer

    java.lang.Object
      org.eclipse.contribution.visualiser.renderers.ClassicVisualiserRenderer
          org.eclipse.contribution.visualiser.renderers.PatternVisualiserRenderer

All Implemented Interfaces:
  IVisualiserRenderer

public class PatternVisualiserRenderer
extends ClassicVisualiserRenderer

Constructor Summary
`PatternVisualiserRenderer()`

Method Summary
`protected byte[][]` `getNextPattern()` Get the next assignable pattern data and return it.
`void` `setDitherPattern(org.eclipse.swt.graphics.GC gc, org.eclipse.swt.graphics.Color colour)` Uses a colour, associates a pattern with it and tiles it over the gc

Methods inherited from class org.eclipse.contribution.visualiser.renderers.ClassicVisualiserRenderer
`getColumnHeaderHeight, getConstrainedString, getMarginSize, getSpacing, paintColumn, paintColumnHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternVisualiserRenderer

    public PatternVisualiserRenderer()

Method Detail

### getNextPattern

    protected byte[][] getNextPattern()

  Get the next assignable pattern data and return it. If all the predefined patterns have been assigned, a new one is generated

  Returns:
    byte[][] - pattern data

### setDitherPattern

    public void setDitherPattern(org.eclipse.swt.graphics.GC gc,
                                 org.eclipse.swt.graphics.Color colour)

  Uses a colour, associates a pattern with it and tiles it over the gc

  Parameters:
    `gc` -
    `colour` - - The colour assigned to the gc